"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = exports.tokenize = void 0;
var Lexer_1 = __importDefault(require("./Lexer/Lexer"));
var Parser_1 = __importDefault(require("./Parser/Parser"));
var tokenize = function (str) {
    var lex = new Lexer_1.default(str);
    var tokens = [];
    while (true) {
        var nT = lex.nextToken();
        if (!nT) {
            break;
        }
        tokens.push(nT);
    }
    return tokens;
};
exports.tokenize = tokenize;
var parse = function (tokens) {
    return new Parser_1.default(tokens).parse();
};
exports.parse = parse;
//# sourceMappingURL=utils.js.map